"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const common_vendor = require("./common/vendor.js");
const common_api = require("./common/api.js");
const config = require("./config.js");
const common_share = require("./common/share.js");
if (!Math) {
  "./pages/index/index.js";
  "./pages/home/index.js";
  "./pages/my/index.js";
  "./pagesHome/agree/index.js";
  "./pagesHome/search/index.js";
  "./pagesHome/brand/index.js";
  "./pagesHome/city/index.js";
  "./pagesHome/record/index.js";
  "./pagesHome/sell/index.js";
  "./pagesHome/rank/index.js";
  "./pagesHome/condition/index.js";
  "./pagesHome/car/index.js";
  "./pagesHome/shop/index.js";
  "./pagesHome/picture/index.js";
  "./pagesHome/type/index.js";
  "./pagesHome/login/index.js";
  "./pagesMy/basic/index.js";
  "./pagesMy/collect/index.js";
  "./pagesMy/car/index.js";
}
const _sfc_main = {
  onLaunch: function() {
    const that = this;
    that.forceUpdate();
  },
  onShow: function() {
    console.log("App Show");
  },
  onHide: function() {
    console.log("App Hide");
  },
  methods: {
    // 强制更新
    forceUpdate() {
      let system = common_vendor.index.getSystemInfoSync();
      if (system.uniPlatform == "mp-weixin") {
        const updateManager = common_vendor.index.getUpdateManager();
        updateManager.onCheckForUpdate(function(res) {
          console.log(res.hasUpdate);
        });
        updateManager.onUpdateReady(function(res) {
          common_vendor.index.showModal({
            title: "更新提示",
            content: "新版本已经准备好，是否重启应用？",
            success(res2) {
              if (res2.confirm) {
                common_vendor.index.clearStorage();
                updateManager.applyUpdate();
              }
            }
          });
        });
        updateManager.onUpdateFailed(function(res) {
          console.log(res);
          console.log("更新失败");
        });
      }
    }
  }
};
const App = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "D:/project/赋强公证/notarization_applet/App.vue"]]);
function createApp() {
  const app = common_vendor.createSSRApp(App);
  app.use(common_vendor.uviewPlus);
  app.config.globalProperties.$api = common_api.requestBase;
  app.config.globalProperties.$app = common_api.requestApp;
  app.config.globalProperties.$apifile = common_api.requestFile;
  app.config.globalProperties.$config = config.config;
  app.config.globalProperties.$share = common_share.share;
  return {
    app
  };
}
createApp().app.mount("#app");
exports.createApp = createApp;
